/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

:host {
  align-items: center;
  display: flex;
  text-transform: uppercase;
}

.nv-sub-header-text {
  margin: 0 $space-default;
}

a,
.text {
  display: block;
  font-weight: normal;
  height: 20px;
  line-height: 20px;
  padding: 0 14px;
  position: relative;
  text-transform: uppercase;
}

a,
::slotted a {
  padding-inline-end: 16px;

  &::before {
    border-bottom: 8px solid;
    border-bottom-color: var(--nv-theme-primary);
    border-inline-start: 8px solid transparent;
    bottom: 3px;
    content: '';
    offset-inline-end: 0;
    position: absolute;
    right: 4px;
  }
}

.nv-sub-header-line {
  background-color: var(--nv-border-color);
  display: block;
  flex-basis: 0;
  flex-grow: 1;
  flex-shrink: 1;
  height: 2px;
  margin-top: -1px;
  width: 100%;
}